package com.mortals.xhx.module.staff.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffOnboardEntity;
/**
* 员工入职信息查询对象
*
* @author zxfei
* @date 2023-07-16
*/
public class StaffOnboardQuery extends StaffOnboardEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 性别(1.男,2.女) */
    private Integer genderStart;

    /** 结束 性别(1.男,2.女) */
    private Integer genderEnd;

    /** 增加 性别(1.男,2.女) */
    private Integer genderIncrement;

    /** 性别(1.男,2.女)列表 */
    private List <Integer> genderList;

    /** 性别(1.男,2.女)排除列表 */
    private List <Integer> genderNotList;

    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 入职登记表 */
    private List<String> filePathList;

    /** 入职登记表排除列表 */
    private List <String> filePathNotList;
    /** 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusStart;

    /** 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusEnd;

    /** 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusIncrement;

    /** 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)列表 */
    private List <Integer> politicalstatusList;

    /** 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)排除列表 */
    private List <Integer> politicalstatusNotList;

    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 职位ID */
    private Long jobIdStart;

    /** 结束 职位ID */
    private Long jobIdEnd;

    /** 增加 职位ID */
    private Long jobIdIncrement;

    /** 职位ID列表 */
    private List <Long> jobIdList;

    /** 职位ID排除列表 */
    private List <Long> jobIdNotList;

    /** 职位名称 */
    private List<String> jobNameList;

    /** 职位名称排除列表 */
    private List <String> jobNameNotList;
    /** 开始 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeStart;

    /** 结束 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeEnd;

    /** 增加 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeIncrement;

    /** 员工类型(1.全职,2.兼职,3.实习)列表 */
    private List <Integer> staffTypeList;

    /** 员工类型(1.全职,2.兼职,3.实习)排除列表 */
    private List <Integer> staffTypeNotList;

    /** 开始 员工状态(1.待入职,2.试用中,3.超期) */
    private Integer onBoardStatusStart;

    /** 结束 员工状态(1.待入职,2.试用中,3.超期) */
    private Integer onBoardStatusEnd;

    /** 增加 员工状态(1.待入职,2.试用中,3.超期) */
    private Integer onBoardStatusIncrement;

    /** 员工状态(1.待入职,2.试用中,3.超期)列表 */
    private List <Integer> onBoardStatusList;

    /** 员工状态(1.待入职,2.试用中,3.超期)排除列表 */
    private List <Integer> onBoardStatusNotList;

    /** 开始 入职时间 */
    private String entryDateStart;

    /** 结束 入职时间 */
    private String entryDateEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffOnboardQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffOnboardQuery> andConditionList;

    public StaffOnboardQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 性别(1.男,2.女)
    * @return genderStart
    */
    public Integer getGenderStart(){
        return this.genderStart;
    }

    /**
    * 设置 开始 性别(1.男,2.女)
    * @param genderStart
    */
    public void setGenderStart(Integer genderStart){
        this.genderStart = genderStart;
    }

    /**
    * 获取 结束 性别(1.男,2.女)
    * @return $genderEnd
    */
    public Integer getGenderEnd(){
        return this.genderEnd;
    }

    /**
    * 设置 结束 性别(1.男,2.女)
    * @param genderEnd
    */
    public void setGenderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
    }

    /**
    * 获取 增加 性别(1.男,2.女)
    * @return genderIncrement
    */
    public Integer getGenderIncrement(){
        return this.genderIncrement;
    }

    /**
    * 设置 增加 性别(1.男,2.女)
    * @param genderIncrement
    */
    public void setGenderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
    }

    /**
    * 获取 性别(1.男,2.女)
    * @return genderList
    */
    public List<Integer> getGenderList(){
        return this.genderList;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderList
    */
    public void setGenderList(List<Integer> genderList){
        this.genderList = genderList;
    }

    /**
    * 获取 性别(1.男,2.女)
    * @return genderNotList
    */
    public List<Integer> getGenderNotList(){
        return this.genderNotList;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderNotList
    */
    public void setGenderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
    }


    /**
    * 获取 开始 出生日期
    * @return birthdayStart
    */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
    * 设置 开始 出生日期
    * @param birthdayStart
    */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
    * 获取 结束 出生日期
    * @return birthdayEnd
    */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
    * 设置 结束 出生日期
    * @param birthdayEnd
    */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
    * 获取 照片
    * @return photoPathList
    */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
    * 获取 照片
    * @return photoPathNotList
    */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
    * 设置 照片
    * @param photoPathNotList
    */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberList
    */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberNotList
    */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberNotList
    */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 入职登记表
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 入职登记表
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
    * 获取 入职登记表
    * @return filePathNotList
    */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
    * 设置 入职登记表
    * @param filePathNotList
    */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
    * 获取 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusStart
    */
    public Integer getPoliticalstatusStart(){
        return this.politicalstatusStart;
    }

    /**
    * 设置 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusStart
    */
    public void setPoliticalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
    }

    /**
    * 获取 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return $politicalstatusEnd
    */
    public Integer getPoliticalstatusEnd(){
        return this.politicalstatusEnd;
    }

    /**
    * 设置 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusEnd
    */
    public void setPoliticalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
    }

    /**
    * 获取 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusIncrement
    */
    public Integer getPoliticalstatusIncrement(){
        return this.politicalstatusIncrement;
    }

    /**
    * 设置 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusIncrement
    */
    public void setPoliticalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
    }

    /**
    * 获取 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusList
    */
    public List<Integer> getPoliticalstatusList(){
        return this.politicalstatusList;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusList
    */
    public void setPoliticalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
    }

    /**
    * 获取 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusNotList
    */
    public List<Integer> getPoliticalstatusNotList(){
        return this.politicalstatusNotList;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusNotList
    */
    public void setPoliticalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
    }


    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 职位ID
    * @return jobIdStart
    */
    public Long getJobIdStart(){
        return this.jobIdStart;
    }

    /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public void setJobIdStart(Long jobIdStart){
        this.jobIdStart = jobIdStart;
    }

    /**
    * 获取 结束 职位ID
    * @return $jobIdEnd
    */
    public Long getJobIdEnd(){
        return this.jobIdEnd;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public void setJobIdEnd(Long jobIdEnd){
        this.jobIdEnd = jobIdEnd;
    }

    /**
    * 获取 增加 职位ID
    * @return jobIdIncrement
    */
    public Long getJobIdIncrement(){
        return this.jobIdIncrement;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public void setJobIdIncrement(Long jobIdIncrement){
        this.jobIdIncrement = jobIdIncrement;
    }

    /**
    * 获取 职位ID
    * @return jobIdList
    */
    public List<Long> getJobIdList(){
        return this.jobIdList;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public void setJobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
    }

    /**
    * 获取 职位ID
    * @return jobIdNotList
    */
    public List<Long> getJobIdNotList(){
        return this.jobIdNotList;
    }

    /**
    * 设置 职位ID
    * @param jobIdNotList
    */
    public void setJobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
    }


    /**
    * 获取 职位名称
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 职位名称
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 职位名称
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 开始 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeStart
    */
    public Integer getStaffTypeStart(){
        return this.staffTypeStart;
    }

    /**
    * 设置 开始 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeStart
    */
    public void setStaffTypeStart(Integer staffTypeStart){
        this.staffTypeStart = staffTypeStart;
    }

    /**
    * 获取 结束 员工类型(1.全职,2.兼职,3.实习)
    * @return $staffTypeEnd
    */
    public Integer getStaffTypeEnd(){
        return this.staffTypeEnd;
    }

    /**
    * 设置 结束 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeEnd
    */
    public void setStaffTypeEnd(Integer staffTypeEnd){
        this.staffTypeEnd = staffTypeEnd;
    }

    /**
    * 获取 增加 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeIncrement
    */
    public Integer getStaffTypeIncrement(){
        return this.staffTypeIncrement;
    }

    /**
    * 设置 增加 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeIncrement
    */
    public void setStaffTypeIncrement(Integer staffTypeIncrement){
        this.staffTypeIncrement = staffTypeIncrement;
    }

    /**
    * 获取 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeList
    */
    public List<Integer> getStaffTypeList(){
        return this.staffTypeList;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeList
    */
    public void setStaffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
    }

    /**
    * 获取 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeNotList
    */
    public List<Integer> getStaffTypeNotList(){
        return this.staffTypeNotList;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeNotList
    */
    public void setStaffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
    }


    /**
    * 获取 开始 员工状态(1.待入职,2.试用中,3.超期)
    * @return onBoardStatusStart
    */
    public Integer getOnBoardStatusStart(){
        return this.onBoardStatusStart;
    }

    /**
    * 设置 开始 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusStart
    */
    public void setOnBoardStatusStart(Integer onBoardStatusStart){
        this.onBoardStatusStart = onBoardStatusStart;
    }

    /**
    * 获取 结束 员工状态(1.待入职,2.试用中,3.超期)
    * @return $onBoardStatusEnd
    */
    public Integer getOnBoardStatusEnd(){
        return this.onBoardStatusEnd;
    }

    /**
    * 设置 结束 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusEnd
    */
    public void setOnBoardStatusEnd(Integer onBoardStatusEnd){
        this.onBoardStatusEnd = onBoardStatusEnd;
    }

    /**
    * 获取 增加 员工状态(1.待入职,2.试用中,3.超期)
    * @return onBoardStatusIncrement
    */
    public Integer getOnBoardStatusIncrement(){
        return this.onBoardStatusIncrement;
    }

    /**
    * 设置 增加 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusIncrement
    */
    public void setOnBoardStatusIncrement(Integer onBoardStatusIncrement){
        this.onBoardStatusIncrement = onBoardStatusIncrement;
    }

    /**
    * 获取 员工状态(1.待入职,2.试用中,3.超期)
    * @return onBoardStatusList
    */
    public List<Integer> getOnBoardStatusList(){
        return this.onBoardStatusList;
    }

    /**
    * 设置 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusList
    */
    public void setOnBoardStatusList(List<Integer> onBoardStatusList){
        this.onBoardStatusList = onBoardStatusList;
    }

    /**
    * 获取 员工状态(1.待入职,2.试用中,3.超期)
    * @return onBoardStatusNotList
    */
    public List<Integer> getOnBoardStatusNotList(){
        return this.onBoardStatusNotList;
    }

    /**
    * 设置 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusNotList
    */
    public void setOnBoardStatusNotList(List<Integer> onBoardStatusNotList){
        this.onBoardStatusNotList = onBoardStatusNotList;
    }


    /**
    * 获取 开始 入职时间
    * @return entryDateStart
    */
    public String getEntryDateStart(){
        return this.entryDateStart;
    }

    /**
    * 设置 开始 入职时间
    * @param entryDateStart
    */
    public void setEntryDateStart(String entryDateStart){
        this.entryDateStart = entryDateStart;
    }

    /**
    * 获取 结束 入职时间
    * @return entryDateEnd
    */
    public String getEntryDateEnd(){
        return this.entryDateEnd;
    }

    /**
    * 设置 结束 入职时间
    * @param entryDateEnd
    */
    public void setEntryDateEnd(String entryDateEnd){
        this.entryDateEnd = entryDateEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public StaffOnboardQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public StaffOnboardQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public StaffOnboardQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public StaffOnboardQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public StaffOnboardQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public StaffOnboardQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public StaffOnboardQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public StaffOnboardQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public StaffOnboardQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public StaffOnboardQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public StaffOnboardQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public StaffOnboardQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public StaffOnboardQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public StaffOnboardQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  性别(1.男,2.女)
    * @param gender
    */
    public StaffOnboardQuery gender(Integer gender){
	    setGender(gender);
		return this;
    }
	
	 /**
    * 设置 开始 性别(1.男,2.女)
    * @param genderStart
    */
    public StaffOnboardQuery genderStart(Integer genderStart){
		this.genderStart = genderStart;
		return this;
    }

    /**
    * 设置 结束 性别(1.男,2.女)
    * @param genderEnd
    */
    public StaffOnboardQuery genderEnd(Integer genderEnd){
		this.genderEnd = genderEnd;
		return this;
    }

    /**
    * 设置 增加 性别(1.男,2.女)
    * @param genderIncrement
    */
    public StaffOnboardQuery genderIncrement(Integer genderIncrement){
		this.genderIncrement = genderIncrement;
		return this;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderList
    */
    public StaffOnboardQuery genderList(List<Integer> genderList){
        this.genderList = genderList;
		return this;
        }

        /**
        * 设置 性别(1.男,2.女)
        * @param genderNotList
        */
        public StaffOnboardQuery genderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
        return this;
        }



	/**
    * 设置 照片
    * @param photoPath
    */
    public StaffOnboardQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
		return this;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public StaffOnboardQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param phoneNumber
    */
    public StaffOnboardQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
		return this;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public StaffOnboardQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public StaffOnboardQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public StaffOnboardQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public StaffOnboardQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public StaffOnboardQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }


	/**
    * 设置 入职登记表
    * @param filePath
    */
    public StaffOnboardQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 入职登记表
    * @param filePathList
    */
    public StaffOnboardQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }

    /**
    * 设置  政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatus
    */
    public StaffOnboardQuery politicalstatus(Integer politicalstatus){
	    setPoliticalstatus(politicalstatus);
		return this;
    }
	
	 /**
    * 设置 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusStart
    */
    public StaffOnboardQuery politicalstatusStart(Integer politicalstatusStart){
		this.politicalstatusStart = politicalstatusStart;
		return this;
    }

    /**
    * 设置 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusEnd
    */
    public StaffOnboardQuery politicalstatusEnd(Integer politicalstatusEnd){
		this.politicalstatusEnd = politicalstatusEnd;
		return this;
    }

    /**
    * 设置 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusIncrement
    */
    public StaffOnboardQuery politicalstatusIncrement(Integer politicalstatusIncrement){
		this.politicalstatusIncrement = politicalstatusIncrement;
		return this;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusList
    */
    public StaffOnboardQuery politicalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
		return this;
        }

        /**
        * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
        * @param politicalstatusNotList
        */
        public StaffOnboardQuery politicalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
        return this;
        }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public StaffOnboardQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public StaffOnboardQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public StaffOnboardQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public StaffOnboardQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public StaffOnboardQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public StaffOnboardQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public StaffOnboardQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public StaffOnboardQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  职位ID
    * @param jobId
    */
    public StaffOnboardQuery jobId(Long jobId){
	    setJobId(jobId);
		return this;
    }
	
	 /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public StaffOnboardQuery jobIdStart(Long jobIdStart){
		this.jobIdStart = jobIdStart;
		return this;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public StaffOnboardQuery jobIdEnd(Long jobIdEnd){
		this.jobIdEnd = jobIdEnd;
		return this;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public StaffOnboardQuery jobIdIncrement(Long jobIdIncrement){
		this.jobIdIncrement = jobIdIncrement;
		return this;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public StaffOnboardQuery jobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
		return this;
        }

        /**
        * 设置 职位ID
        * @param jobIdNotList
        */
        public StaffOnboardQuery jobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
        return this;
        }


	/**
    * 设置 职位名称
    * @param jobName
    */
    public StaffOnboardQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public StaffOnboardQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }

    /**
    * 设置  员工类型(1.全职,2.兼职,3.实习)
    * @param staffType
    */
    public StaffOnboardQuery staffType(Integer staffType){
	    setStaffType(staffType);
		return this;
    }
	
	 /**
    * 设置 开始 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeStart
    */
    public StaffOnboardQuery staffTypeStart(Integer staffTypeStart){
		this.staffTypeStart = staffTypeStart;
		return this;
    }

    /**
    * 设置 结束 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeEnd
    */
    public StaffOnboardQuery staffTypeEnd(Integer staffTypeEnd){
		this.staffTypeEnd = staffTypeEnd;
		return this;
    }

    /**
    * 设置 增加 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeIncrement
    */
    public StaffOnboardQuery staffTypeIncrement(Integer staffTypeIncrement){
		this.staffTypeIncrement = staffTypeIncrement;
		return this;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeList
    */
    public StaffOnboardQuery staffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
		return this;
        }

        /**
        * 设置 员工类型(1.全职,2.兼职,3.实习)
        * @param staffTypeNotList
        */
        public StaffOnboardQuery staffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
        return this;
        }

    /**
    * 设置  员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatus
    */
    public StaffOnboardQuery onBoardStatus(Integer onBoardStatus){
	    setOnBoardStatus(onBoardStatus);
		return this;
    }
	
	 /**
    * 设置 开始 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusStart
    */
    public StaffOnboardQuery onBoardStatusStart(Integer onBoardStatusStart){
		this.onBoardStatusStart = onBoardStatusStart;
		return this;
    }

    /**
    * 设置 结束 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusEnd
    */
    public StaffOnboardQuery onBoardStatusEnd(Integer onBoardStatusEnd){
		this.onBoardStatusEnd = onBoardStatusEnd;
		return this;
    }

    /**
    * 设置 增加 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusIncrement
    */
    public StaffOnboardQuery onBoardStatusIncrement(Integer onBoardStatusIncrement){
		this.onBoardStatusIncrement = onBoardStatusIncrement;
		return this;
    }

    /**
    * 设置 员工状态(1.待入职,2.试用中,3.超期)
    * @param onBoardStatusList
    */
    public StaffOnboardQuery onBoardStatusList(List<Integer> onBoardStatusList){
        this.onBoardStatusList = onBoardStatusList;
		return this;
        }

        /**
        * 设置 员工状态(1.待入职,2.试用中,3.超期)
        * @param onBoardStatusNotList
        */
        public StaffOnboardQuery onBoardStatusNotList(List<Integer> onBoardStatusNotList){
        this.onBoardStatusNotList = onBoardStatusNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public StaffOnboardQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public StaffOnboardQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public StaffOnboardQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public StaffOnboardQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public StaffOnboardQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public StaffOnboardQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public StaffOnboardQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public StaffOnboardQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public StaffOnboardQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public StaffOnboardQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public StaffOnboardQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public StaffOnboardQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffOnboardQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffOnboardQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffOnboardQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffOnboardQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}